var Japan_geojson = {};
fetch("../data/20190125_AreaForecastLocalEEW_GIS_20.geojson").then(response=>response.json()).then(async geojson=>{
  Japan_geojson = geojson;
  await window.connect2sandbox("geojson_send", geojson);
});

// https://xml.kishou.go.jp/tec_material.html
// jmaxml_20220314_Code.zip -> 地震火山関連コード表.xls -> [sheet "22"]
const AreaForecastLocalEEW = [
  [ "9011", "北海道道央", "ほっかいどうどうおう" ],
  [ "9012", "北海道道南", "ほっかいどうどうなん" ],
  [ "9013", "北海道道北", "ほっかいどうどうほく" ],
  [ "9014", "北海道道東", "ほっかいどうどうとう" ],
  [ "9020", "青森", "あおもり" ],
  [ "9030", "岩手", "いわて" ],
  [ "9040", "宮城", "みやぎ" ],
  [ "9050", "秋田", "あきた" ],
  [ "9060", "山形", "やまがた" ],
  [ "9070", "福島", "ふくしま" ],
  [ "9080", "茨城", "いばらき" ],
  [ "9090", "栃木", "とちぎ" ],
  [ "9100", "群馬", "ぐんま" ],
  [ "9110", "埼玉", "さいたま" ],
  [ "9120", "千葉", "ちば" ],
  [ "9131", "東京", "とうきょう" ],
  [ "9132", "伊豆諸島", "いずしょとう" ],
  [ "9133", "小笠原", "おがさわら" ],
  [ "9140", "神奈川", "かながわ" ],
  [ "9150", "新潟", "にいがた" ],
  [ "9160", "富山", "とやま" ],
  [ "9170", "石川", "いしかわ" ],
  [ "9180", "福井", "ふくい" ],
  [ "9190", "山梨", "やまなし" ],
  [ "9200", "長野", "ながの" ],
  [ "9210", "岐阜", "ぎふ" ],
  [ "9220", "静岡", "しずおか" ],
  [ "9230", "愛知", "あいち" ],
  [ "9240", "三重", "みえ" ],
  [ "9250", "滋賀", "しが" ],
  [ "9260", "京都", "きょうと" ],
  [ "9270", "大阪", "おおさか" ],
  [ "9280", "兵庫", "ひょうご" ],
  [ "9290", "奈良", "なら" ],
  [ "9300", "和歌山", "わかやま" ],
  [ "9310", "鳥取", "とっとり" ],
  [ "9320", "島根", "しまね" ],
  [ "9330", "岡山", "おかやま" ],
  [ "9340", "広島", "ひろしま" ],
  [ "9360", "徳島", "とくしま" ],
  [ "9370", "香川", "かがわ" ],
  [ "9380", "愛媛", "えひめ" ],
  [ "9390", "高知", "こうち" ],
  [ "9350", "山口", "やまぐち" ],
  [ "9400", "福岡", "ふくおか" ],
  [ "9410", "佐賀", "さが" ],
  [ "9420", "長崎", "ながさき" ],
  [ "9430", "熊本", "くまもと" ],
  [ "9440", "大分", "おおいた" ],
  [ "9450", "宮崎", "みやざき" ],
  [ "9461", "鹿児島", "かごしま" ],
  [ "9462", "奄美", "あまみ" ],   // [ "9462", "奄美(群島)", "あまみ（ぐんとう）" ],
  [ "9471", "沖縄本島", "おきなわほんとう" ],
  [ "9472", "大東島", "だいとうじま" ],
  [ "9473", "宮古島", "みやこじま" ],
  [ "9474", "八重山", "やえやま" ]
];

// https://xml.kishou.go.jp/tec_material.html
// https://www.data.jma.go.jp/suishin/shiyou/pdf/no40202 を元に作成
// jmaxml_20220314_Code.zip -> 地震火山関連コード表.xls -> [sheet "24"]
const AreaForecastLocalE = {
  "100": {
    "name": "石狩地方北部",
    "kana": "いしかりちほうほくぶ",
    "parent": "9011"
  },
  "101": {
    "name": "石狩地方中部",
    "kana": "いしかりちほうちゅうぶ",
    "parent": "9011"
  },
  "102": {
    "name": "石狩地方南部",
    "kana": "いしかりちほうなんぶ",
    "parent": "9011"
  },
  "105": {
    "name": "渡島地方北部",
    "kana": "おしまちほうほくぶ",
    "parent": "9012"
  },
  "106": {
    "name": "渡島地方東部",
    "kana": "おしまちほうとうぶ",
    "parent": "9012"
  },
  "107": {
    "name": "渡島地方西部",
    "kana": "おしまちほうせいぶ",
    "parent": "9012"
  },
  "110": {
    "name": "檜山地方",
    "kana": "ひやまちほう",
    "parent": "9012"
  },
  "115": {
    "name": "後志地方北部",
    "kana": "しりべしちほうほくぶ",
    "parent": "9011"
  },
  "116": {
    "name": "後志地方東部",
    "kana": "しりべしちほうとうぶ",
    "parent": "9011"
  },
  "117": {
    "name": "後志地方西部",
    "kana": "しりべしちほうせいぶ",
    "parent": "9011"
  },
  "119": {
    "name": "北海道奥尻島",
    "kana": "ほっかいどうおくしりとう",
    "parent": "9012"
  },
  "120": {
    "name": "空知地方北部",
    "kana": "そらちちほうほくぶ",
    "parent": "9011"
  },
  "121": {
    "name": "空知地方中部",
    "kana": "そらちちほうちゅうぶ",
    "parent": "9011"
  },
  "122": {
    "name": "空知地方南部",
    "kana": "そらちちほうなんぶ",
    "parent": "9011"
  },
  "125": {
    "name": "上川地方北部",
    "kana": "かみかわちほうほくぶ",
    "parent": "9013"
  },
  "126": {
    "name": "上川地方中部",
    "kana": "かみかわちほうちゅうぶ",
    "parent": "9013"
  },
  "127": {
    "name": "上川地方南部",
    "kana": "かみかわちほうなんぶ",
    "parent": "9013"
  },
  "130": {
    "name": "留萌地方中北部",
    "kana": "るもいちほうちゅうほくぶ",
    "parent": "9013"
  },
  "131": {
    "name": "留萌地方南部",
    "kana": "るもいちほうなんぶ",
    "parent": "9013"
  },
  "135": {
    "name": "宗谷地方北部",
    "kana": "そうやちほうほくぶ",
    "parent": "9013"
  },
  "136": {
    "name": "宗谷地方南部",
    "kana": "そうやちほうなんぶ",
    "parent": "9013"
  },
  "139": {
    "name": "北海道利尻礼文",
    "kana": "ほっかいどうりしりれぶん",
    "parent": "9013"
  },
  "140": {
    "name": "網走地方",
    "kana": "あばしりちほう",
    "parent": "9014"
  },
  "141": {
    "name": "北見地方",
    "kana": "きたみちほう",
    "parent": "9014"
  },
  "142": {
    "name": "紋別地方",
    "kana": "もんべつちほう",
    "parent": "9014"
  },
  "145": {
    "name": "胆振地方西部",
    "kana": "いぶりちほうせいぶ",
    "parent": "9012"
  },
  "146": {
    "name": "胆振地方中東部",
    "kana": "いぶりちほうちゅうとうぶ",
    "parent": "9012"
  },
  "150": {
    "name": "日高地方西部",
    "kana": "ひだかちほうせいぶ",
    "parent": "9012"
  },
  "151": {
    "name": "日高地方中部",
    "kana": "ひだかちほうちゅうぶ",
    "parent": "9012"
  },
  "152": {
    "name": "日高地方東部",
    "kana": "ひだかちほうとうぶ",
    "parent": "9012"
  },
  "155": {
    "name": "十勝地方北部",
    "kana": "とかちちほうほくぶ",
    "parent": "9014"
  },
  "156": {
    "name": "十勝地方中部",
    "kana": "とかちちほうちゅうぶ",
    "parent": "9014"
  },
  "157": {
    "name": "十勝地方南部",
    "kana": "とかちちほうなんぶ",
    "parent": "9014"
  },
  "160": {
    "name": "釧路地方北部",
    "kana": "くしろちほうほくぶ",
    "parent": "9014"
  },
  "161": {
    "name": "釧路地方中南部",
    "kana": "くしろちほうちゅうなんぶ",
    "parent": "9014"
  },
  "165": {
    "name": "根室地方北部",
    "kana": "ねむろちほうほくぶ",
    "parent": "9014"
  },
  "166": {
    "name": "根室地方中部",
    "kana": "ねむろちほうちゅうぶ",
    "parent": "9014"
  },
  "167": {
    "name": "根室地方南部",
    "kana": "ねむろちほうなんぶ",
    "parent": "9014"
  },
  "200": {
    "name": "青森県津軽北部",
    "kana": "あおもりけんつがるほくぶ",
    "parent": "9020"
  },
  "201": {
    "name": "青森県津軽南部",
    "kana": "あおもりけんつがるなんぶ",
    "parent": "9020"
  },
  "202": {
    "name": "青森県三八上北",
    "kana": "あおもりけんさんぱちかみきた",
    "parent": "9020"
  },
  "203": {
    "name": "青森県下北",
    "kana": "あおもりけんしもきた",
    "parent": "9020"
  },
  "210": {
    "name": "岩手県沿岸北部",
    "kana": "いわてけんえんがんほくぶ",
    "parent": "9030"
  },
  "211": {
    "name": "岩手県沿岸南部",
    "kana": "いわてけんえんがんなんぶ",
    "parent": "9030"
  },
  "212": {
    "name": "岩手県内陸北部",
    "kana": "いわてけんないりくほくぶ",
    "parent": "9030"
  },
  "213": {
    "name": "岩手県内陸南部",
    "kana": "いわてけんないりくなんぶ",
    "parent": "9030"
  },
  "220": {
    "name": "宮城県北部",
    "kana": "みやぎけんほくぶ",
    "parent": "9040"
  },
  "221": {
    "name": "宮城県南部",
    "kana": "みやぎけんなんぶ",
    "parent": "9040"
  },
  "222": {
    "name": "宮城県中部",
    "kana": "みやぎけんちゅうぶ",
    "parent": "9040"
  },
  "230": {
    "name": "秋田県沿岸北部",
    "kana": "あきたけんえんがんほくぶ",
    "parent": "9050"
  },
  "231": {
    "name": "秋田県沿岸南部",
    "kana": "あきたけんえんがんなんぶ",
    "parent": "9050"
  },
  "232": {
    "name": "秋田県内陸北部",
    "kana": "あきたけんないりくほくぶ",
    "parent": "9050"
  },
  "233": {
    "name": "秋田県内陸南部",
    "kana": "あきたけんないりくなんぶ",
    "parent": "9050"
  },
  "240": {
    "name": "山形県庄内",
    "kana": "やまがたけんしょうない",
    "parent": "9060"
  },
  "241": {
    "name": "山形県最上",
    "kana": "やまがたけんもがみ",
    "parent": "9060"
  },
  "242": {
    "name": "山形県村山",
    "kana": "やまがたけんむらやま",
    "parent": "9060"
  },
  "243": {
    "name": "山形県置賜",
    "kana": "やまがたけんおきたま",
    "parent": "9060"
  },
  "250": {
    "name": "福島県中通り",
    "kana": "ふくしまけんなかどおり",
    "parent": "9070"
  },
  "251": {
    "name": "福島県浜通り",
    "kana": "ふくしまけんはまどおり",
    "parent": "9070"
  },
  "252": {
    "name": "福島県会津",
    "kana": "ふくしまけんあいづ",
    "parent": "9070"
  },
  "300": {
    "name": "茨城県北部",
    "kana": "いばらきけんほくぶ",
    "parent": "9080"
  },
  "301": {
    "name": "茨城県南部",
    "kana": "いばらきけんなんぶ",
    "parent": "9080"
  },
  "310": {
    "name": "栃木県北部",
    "kana": "とちぎけんほくぶ",
    "parent": "9090"
  },
  "311": {
    "name": "栃木県南部",
    "kana": "とちぎけんなんぶ",
    "parent": "9090"
  },
  "320": {
    "name": "群馬県北部",
    "kana": "ぐんまけんほくぶ",
    "parent": "9100"
  },
  "321": {
    "name": "群馬県南部",
    "kana": "ぐんまけんなんぶ",
    "parent": "9100"
  },
  "330": {
    "name": "埼玉県北部",
    "kana": "さいたまけんほくぶ",
    "parent": "9110"
  },
  "331": {
    "name": "埼玉県南部",
    "kana": "さいたまけんなんぶ",
    "parent": "9110"
  },
  "332": {
    "name": "埼玉県秩父",
    "kana": "さいたまけんちちぶ",
    "parent": "9110"
  },
  "340": {
    "name": "千葉県北東部",
    "kana": "ちばけんほくとうぶ",
    "parent": "9120"
  },
  "341": {
    "name": "千葉県北西部",
    "kana": "ちばけんほくせいぶ",
    "parent": "9120"
  },
  "342": {
    "name": "千葉県南部",
    "kana": "ちばけんなんぶ",
    "parent": "9120"
  },
  "350": {
    "name": "東京都２３区",
    "kana": "とうきょうとにじゅうさんく",
    "parent": "9131"
  },
  "351": {
    "name": "東京都多摩東部",
    "kana": "とうきょうとたまとうぶ",
    "parent": "9131"
  },
  "352": {
    "name": "東京都多摩西部",
    "kana": "とうきょうとたませいぶ",
    "parent": "9131"
  },
  "354": {
    "name": "神津島",
    "kana": "こうづしま",
    "parent": "9132"
  },
  "355": {
    "name": "伊豆大島",
    "kana": "いずおおしま",
    "parent": "9132"
  },
  "356": {
    "name": "新島",
    "kana": "にいじま",
    "parent": "9132"
  },
  "357": {
    "name": "三宅島",
    "kana": "みやけじま",
    "parent": "9132"
  },
  "358": {
    "name": "八丈島",
    "kana": "はちじょうじま",
    "parent": "9132"
  },
  "359": {
    "name": "小笠原",
    "kana": "おがさわら",
    "parent": "9133"
  },
  "360": {
    "name": "神奈川県東部",
    "kana": "かながわけんとうぶ",
    "parent": "9140"
  },
  "361": {
    "name": "神奈川県西部",
    "kana": "かながわけんせいぶ",
    "parent": "9140"
  },
  "370": {
    "name": "新潟県上越",
    "kana": "にいがたけんじょうえつ",
    "parent": "9150"
  },
  "371": {
    "name": "新潟県中越",
    "kana": "にいがたけんちゅうえつ",
    "parent": "9150"
  },
  "372": {
    "name": "新潟県下越",
    "kana": "にいがたけんかえつ",
    "parent": "9150"
  },
  "375": {
    "name": "新潟県佐渡",
    "kana": "にいがたけんさど",
    "parent": "9150"
  },
  "380": {
    "name": "富山県東部",
    "kana": "とやまけんとうぶ",
    "parent": "9160"
  },
  "381": {
    "name": "富山県西部",
    "kana": "とやまけんせいぶ",
    "parent": "9160"
  },
  "390": {
    "name": "石川県能登",
    "kana": "いしかわけんのと",
    "parent": "9170"
  },
  "391": {
    "name": "石川県加賀",
    "kana": "いしかわけんかが",
    "parent": "9170"
  },
  "400": {
    "name": "福井県嶺北",
    "kana": "ふくいけんれいほく",
    "parent": "9180"
  },
  "401": {
    "name": "福井県嶺南",
    "kana": "ふくいけんれいなん",
    "parent": "9180"
  },
  "411": {
    "name": "山梨県中・西部",
    "kana": "やまなしけんちゅうせいぶ",
    "parent": "9190"
  },
  "412": {
    "name": "山梨県東部・富士五湖",
    "kana": "やまなしけんとうぶふじごこ",
    "parent": "9190"
  },
  "420": {
    "name": "長野県北部",
    "kana": "ながのけんほくぶ",
    "parent": "9200"
  },
  "421": {
    "name": "長野県中部",
    "kana": "ながのけんちゅうぶ",
    "parent": "9200"
  },
  "422": {
    "name": "長野県南部",
    "kana": "ながのけんなんぶ",
    "parent": "9200"
  },
  "430": {
    "name": "岐阜県飛騨",
    "kana": "ぎふけんひだ",
    "parent": "9210"
  },
  "431": {
    "name": "岐阜県美濃東部",
    "kana": "ぎふけんみのとうぶ",
    "parent": "9210"
  },
  "432": {
    "name": "岐阜県美濃中西部",
    "kana": "ぎふけんみのちゅうせいぶ",
    "parent": "9210"
  },
  "440": {
    "name": "静岡県伊豆",
    "kana": "しずおかけんいず",
    "parent": "9220"
  },
  "441": {
    "name": "静岡県東部",
    "kana": "しずおかけんとうぶ",
    "parent": "9220"
  },
  "442": {
    "name": "静岡県中部",
    "kana": "しずおかけんちゅうぶ",
    "parent": "9220"
  },
  "443": {
    "name": "静岡県西部",
    "kana": "しずおかけんせいぶ",
    "parent": "9220"
  },
  "450": {
    "name": "愛知県東部",
    "kana": "あいちけんとうぶ",
    "parent": "9230"
  },
  "451": {
    "name": "愛知県西部",
    "kana": "あいちけんせいぶ",
    "parent": "9230"
  },
  "460": {
    "name": "三重県北部",
    "kana": "みえけんほくぶ",
    "parent": "9240"
  },
  "461": {
    "name": "三重県中部",
    "kana": "みえけんちゅうぶ",
    "parent": "9240"
  },
  "462": {
    "name": "三重県南部",
    "kana": "みえけんなんぶ",
    "parent": "9240"
  },
  "500": {
    "name": "滋賀県北部",
    "kana": "しがけんほくぶ",
    "parent": "9250"
  },
  "501": {
    "name": "滋賀県南部",
    "kana": "しがけんなんぶ",
    "parent": "9250"
  },
  "510": {
    "name": "京都府北部",
    "kana": "きょうとふほくぶ",
    "parent": "9260"
  },
  "511": {
    "name": "京都府南部",
    "kana": "きょうとふなんぶ",
    "parent": "9260"
  },
  "520": {
    "name": "大阪府北部",
    "kana": "おおさかふほくぶ",
    "parent": "9270"
  },
  "521": {
    "name": "大阪府南部",
    "kana": "おおさかふなんぶ",
    "parent": "9270"
  },
  "530": {
    "name": "兵庫県北部",
    "kana": "ひょうごけんほくぶ",
    "parent": "9280"
  },
  "531": {
    "name": "兵庫県南東部",
    "kana": "ひょうごけんなんとうぶ",
    "parent": "9280"
  },
  "532": {
    "name": "兵庫県南西部",
    "kana": "ひょうごけんなんせいぶ",
    "parent": "9280"
  },
  "535": {
    "name": "兵庫県淡路島",
    "kana": "ひょうごけんあわじしま",
    "parent": "9280"
  },
  "540": {
    "name": "奈良県",
    "kana": "ならけん",
    "parent": "9290"
  },
  "550": {
    "name": "和歌山県北部",
    "kana": "わかやまけんほくぶ",
    "parent": "9300"
  },
  "551": {
    "name": "和歌山県南部",
    "kana": "わかやまけんなんぶ",
    "parent": "9300"
  },
  "560": {
    "name": "鳥取県東部",
    "kana": "とっとりけんとうぶ",
    "parent": "9310"
  },
  "562": {
    "name": "鳥取県中部",
    "kana": "とっとりけんちゅうぶ",
    "parent": "9310"
  },
  "563": {
    "name": "鳥取県西部",
    "kana": "とっとりけんせいぶ",
    "parent": "9310"
  },
  "570": {
    "name": "島根県東部",
    "kana": "しまねけんとうぶ",
    "parent": "9320"
  },
  "571": {
    "name": "島根県西部",
    "kana": "しまねけんせいぶ",
    "parent": "9320"
  },
  "575": {
    "name": "島根県隠岐",
    "kana": "しまねけんおき",
    "parent": "9320"
  },
  "580": {
    "name": "岡山県北部",
    "kana": "おかやまけんほくぶ",
    "parent": "9330"
  },
  "581": {
    "name": "岡山県南部",
    "kana": "おかやまけんなんぶ",
    "parent": "9330"
  },
  "590": {
    "name": "広島県北部",
    "kana": "ひろしまけんほくぶ",
    "parent": "9340"
  },
  "591": {
    "name": "広島県南東部",
    "kana": "ひろしまけんなんとうぶ",
    "parent": "9340"
  },
  "592": {
    "name": "広島県南西部",
    "kana": "ひろしまけんなんせいぶ",
    "parent": "9340"
  },
  "600": {
    "name": "徳島県北部",
    "kana": "とくしまけんほくぶ",
    "parent": "9360"
  },
  "601": {
    "name": "徳島県南部",
    "kana": "とくしまけんなんぶ",
    "parent": "9360"
  },
  "610": {
    "name": "香川県東部",
    "kana": "かがわけんとうぶ",
    "parent": "9370"
  },
  "611": {
    "name": "香川県西部",
    "kana": "かがわけんせいぶ",
    "parent": "9370"
  },
  "620": {
    "name": "愛媛県東予",
    "kana": "えひめけんとうよ",
    "parent": "9380"
  },
  "621": {
    "name": "愛媛県中予",
    "kana": "えひめけんちゅうよ",
    "parent": "9380"
  },
  "622": {
    "name": "愛媛県南予",
    "kana": "えひめけんなんよ",
    "parent": "9380"
  },
  "630": {
    "name": "高知県東部",
    "kana": "こうちけんとうぶ",
    "parent": "9390"
  },
  "631": {
    "name": "高知県中部",
    "kana": "こうちけんちゅうぶ",
    "parent": "9390"
  },
  "632": {
    "name": "高知県西部",
    "kana": "こうちけんせいぶ",
    "parent": "9390"
  },
  "700": {
    "name": "山口県北部",
    "kana": "やまぐちけんほくぶ",
    "parent": "9350"
  },
  "702": {
    "name": "山口県西部",
    "kana": "やまぐちけんせいぶ",
    "parent": "9350"
  },
  "703": {
    "name": "山口県東部",
    "kana": "やまぐちけんとうぶ",
    "parent": "9350"
  },
  "704": {
    "name": "山口県中部",
    "kana": "やまぐちけんちゅうぶ",
    "parent": "9350"
  },
  "710": {
    "name": "福岡県福岡",
    "kana": "ふくおかけんふくおか",
    "parent": "9400"
  },
  "711": {
    "name": "福岡県北九州",
    "kana": "ふくおかけんきたきゅうしゅう",
    "parent": "9400"
  },
  "712": {
    "name": "福岡県筑豊",
    "kana": "ふくおかけんちくほう",
    "parent": "9400"
  },
  "713": {
    "name": "福岡県筑後",
    "kana": "ふくおかけんちくご",
    "parent": "9400"
  },
  "720": {
    "name": "佐賀県北部",
    "kana": "さがけんほくぶ",
    "parent": "9410"
  },
  "721": {
    "name": "佐賀県南部",
    "kana": "さがけんなんぶ",
    "parent": "9410"
  },
  "730": {
    "name": "長崎県北部",
    "kana": "ながさきけんほくぶ",
    "parent": "9420"
  },
  "731": {
    "name": "長崎県南西部",
    "kana": "ながさきけんなんせいぶ",
    "parent": "9420"
  },
  "732": {
    "name": "長崎県島原半島",
    "kana": "ながさきけんしまばらはんとう",
    "parent": "9420"
  },
  "735": {
    "name": "長崎県対馬",
    "kana": "ながさきけんつしま",
    "parent": "9420"
  },
  "736": {
    "name": "長崎県壱岐",
    "kana": "ながさきけんいき",
    "parent": "9420"
  },
  "737": {
    "name": "長崎県五島",
    "kana": "ながさきけんごとう",
    "parent": "9420"
  },
  "740": {
    "name": "熊本県阿蘇",
    "kana": "くまもとけんあそ",
    "parent": "9430"
  },
  "741": {
    "name": "熊本県熊本",
    "kana": "くまもとけんくまもと",
    "parent": "9430"
  },
  "742": {
    "name": "熊本県球磨",
    "kana": "くまもとけんくま",
    "parent": "9430"
  },
  "743": {
    "name": "熊本県天草・芦北",
    "kana": "くまもとけんあまくさあしきた",
    "parent": "9430"
  },
  "750": {
    "name": "大分県北部",
    "kana": "おおいたけんほくぶ",
    "parent": "9440"
  },
  "751": {
    "name": "大分県中部",
    "kana": "おおいたけんちゅうぶ",
    "parent": "9440"
  },
  "752": {
    "name": "大分県南部",
    "kana": "おおいたけんなんぶ",
    "parent": "9440"
  },
  "753": {
    "name": "大分県西部",
    "kana": "おおいたけんせいぶ",
    "parent": "9440"
  },
  "760": {
    "name": "宮崎県北部平野部",
    "kana": "みやざきけんほくぶへいやぶ",
    "parent": "9450"
  },
  "761": {
    "name": "宮崎県北部山沿い",
    "kana": "みやざきけんほくぶやまぞい",
    "parent": "9450"
  },
  "762": {
    "name": "宮崎県南部平野部",
    "kana": "みやざきけんなんぶへいやぶ",
    "parent": "9450"
  },
  "763": {
    "name": "宮崎県南部山沿い",
    "kana": "みやざきけんなんぶやまぞい",
    "parent": "9450"
  },
  "770": {
    "name": "鹿児島県薩摩",
    "kana": "かごしまけんさつま",
    "parent": "9461"
  },
  "771": {
    "name": "鹿児島県大隅",
    "kana": "かごしまけんおおすみ",
    "parent": "9461"
  },
  "774": {
    "name": "鹿児島県十島村",
    "kana": "かごしまけんとしまむら",
    "parent": "9461"
  },
  "775": {
    "name": "鹿児島県甑島",
    "kana": "かごしまけんこしきしま",
    "parent": "9461"
  },
  "776": {
    "name": "鹿児島県種子島",
    "kana": "かごしまけんたねがしま",
    "parent": "9461"
  },
  "777": {
    "name": "鹿児島県屋久島",
    "kana": "かごしまけんやくしま",
    "parent": "9461"
  },
  "778": {
    "name": "鹿児島県奄美北部",
    "kana": "かごしまけんあまみほくぶ",
    "parent": "9462"
  },
  "779": {
    "name": "鹿児島県奄美南部",
    "kana": "かごしまけんあまみなんぶ",
    "parent": "9462"
  },
  "800": {
    "name": "沖縄県本島北部",
    "kana": "おきなわけんほんとうほくぶ",
    "parent": "9471"
  },
  "801": {
    "name": "沖縄県本島中南部",
    "kana": "おきなわけんほんとうちゅうなんぶ",
    "parent": "9471"
  },
  "802": {
    "name": "沖縄県久米島",
    "kana": "おきなわけんくめじま",
    "parent": "9471"
  },
  "803": {
    "name": "沖縄県大東島",
    "kana": "おきなわけんだいとうじま",
    "parent": "9472"
  },
  "804": {
    "name": "沖縄県宮古島",
    "kana": "おきなわけんみやこじま",
    "parent": "9473"
  },
  "805": {
    "name": "沖縄県石垣島",
    "kana": "おきなわけんいしがきじま",
    "parent": "9474"
  },
  "806": {
    "name": "沖縄県与那国島",
    "kana": "おきなわけんよなぐにじま",
    "parent": "9474"
  },
  "807": {
    "name": "沖縄県西表島",
    "kana": "おきなわけんいりおもてじま",
    "parent": "9474"
  }
};

// https://xml.kishou.go.jp/tec_material.html
// jmaxml_20220314_Code.zip -> 地震火山関連コード表.xls -> [sheet "41"]
const AreaCode2Epicenter = {
  "011": "北海道地方",
  "012": "東北地方",
  "013": "北陸地方",
  "014": "関東甲信地方",
  "015": "小笠原地方",
  "016": "東海地方",
  "017": "近畿地方",
  "018": "中国地方",
  "019": "四国地方",
  "020": "九州地方",
  "021": "沖縄地方",
  "100": "石狩地方北部",
  "101": "石狩地方中部",
  "102": "石狩地方南部",
  "105": "渡島地方北部",
  "106": "渡島地方東部",
  "107": "渡島地方西部",
  "110": "檜山地方",
  "115": "後志地方北部",
  "116": "後志地方東部",
  "117": "後志地方西部",
  "120": "空知地方北部",
  "121": "空知地方中部",
  "122": "空知地方南部",
  "125": "上川地方北部",
  "126": "上川地方中部",
  "127": "上川地方南部",
  "130": "留萌地方中北部",
  "131": "留萌地方南部",
  "135": "宗谷地方北部",
  "136": "宗谷地方南部",
  "140": "網走地方",
  "141": "北見地方",
  "142": "紋別地方",
  "145": "胆振地方西部",
  "146": "胆振地方中東部",
  "150": "日高地方西部",
  "151": "日高地方中部",
  "152": "日高地方東部",
  "155": "十勝地方北部",
  "156": "十勝地方中部",
  "157": "十勝地方南部",
  "160": "釧路地方北部",
  "161": "釧路地方中南部",
  "165": "根室地方北部",
  "166": "根室地方中部",
  "167": "根室地方南部",
  "180": "北海道南西沖",
  "181": "北海道西方沖",
  "182": "石狩湾",
  "183": "北海道北西沖",
  "184": "宗谷海峡",
  "186": "国後島付近",
  "187": "択捉島付近",
  "188": "北海道東方沖",
  "189": "根室半島南東沖",
  "190": "釧路沖",
  "191": "十勝沖",
  "192": "浦河沖",
  "193": "苫小牧沖",
  "194": "内浦湾",
  "195": "宗谷東方沖",
  "196": "網走沖",
  "197": "択捉島南東沖",
  "200": "青森県津軽北部",
  "201": "青森県津軽南部",
  "202": "青森県三八上北地方",
  "203": "青森県下北地方",
  "210": "岩手県沿岸北部",
  "211": "岩手県沿岸南部",
  "212": "岩手県内陸北部",
  "213": "岩手県内陸南部",
  "220": "宮城県北部",
  "221": "宮城県南部",
  "222": "宮城県中部",
  "230": "秋田県沿岸北部",
  "231": "秋田県沿岸南部",
  "232": "秋田県内陸北部",
  "233": "秋田県内陸南部",
  "240": "山形県庄内地方",
  "241": "山形県最上地方",
  "242": "山形県村山地方",
  "243": "山形県置賜地方",
  "250": "福島県中通り",
  "251": "福島県浜通り",
  "252": "福島県会津",
  "280": "津軽海峡",
  "281": "山形県沖",
  "282": "秋田県沖",
  "283": "青森県西方沖",
  "284": "陸奥湾",
  "285": "青森県東方沖",
  "286": "岩手県沖",
  "287": "宮城県沖",
  "288": "三陸沖",
  "289": "福島県沖",
  "300": "茨城県北部",
  "301": "茨城県南部",
  "309": "千葉県南東沖",
  "310": "栃木県北部",
  "311": "栃木県南部",
  "320": "群馬県北部",
  "321": "群馬県南部",
  "330": "埼玉県北部",
  "331": "埼玉県南部",
  "332": "埼玉県秩父地方",
  "340": "千葉県北東部",
  "341": "千葉県北西部",
  "342": "千葉県南部",
  "349": "房総半島南方沖",
  "350": "東京都２３区",
  "351": "東京都多摩東部",
  "352": "東京都多摩西部",
  "360": "神奈川県東部",
  "361": "神奈川県西部",
  "370": "新潟県上越地方",
  "371": "新潟県中越地方",
  "372": "新潟県下越地方",
  "378": "新潟県下越沖",
  "379": "新潟県上中越沖",
  "380": "富山県東部",
  "381": "富山県西部",
  "390": "石川県能登地方",
  "391": "石川県加賀地方",
  "400": "福井県嶺北",
  "401": "福井県嶺南",
  "411": "山梨県中・西部",
  "412": "山梨県東部・富士五湖",
  "420": "長野県北部",
  "421": "長野県中部",
  "422": "長野県南部",
  "430": "岐阜県飛騨地方",
  "431": "岐阜県美濃東部",
  "432": "岐阜県美濃中西部",
  "440": "静岡県伊豆地方",
  "441": "静岡県東部",
  "442": "静岡県中部",
  "443": "静岡県西部",
  "450": "愛知県東部",
  "451": "愛知県西部",
  "460": "三重県北部",
  "461": "三重県中部",
  "462": "三重県南部",
  "469": "三重県南東沖",
  "471": "茨城県沖",
  "472": "関東東方沖",
  "473": "千葉県東方沖",
  "475": "八丈島東方沖",
  "476": "八丈島近海",
  "477": "東京湾",
  "478": "相模湾",
  "480": "伊豆大島近海",
  "481": "伊豆半島東方沖",
  "482": "三宅島近海",
  "483": "新島・神津島近海",
  "485": "駿河湾",
  "486": "駿河湾南方沖",
  "487": "遠州灘",
  "489": "三河湾",
  "490": "伊勢湾",
  "492": "若狭湾",
  "493": "福井県沖",
  "494": "石川県西方沖",
  "495": "能登半島沖",
  "497": "富山湾",
  "498": "佐渡付近",
  "499": "東海道南方沖",
  "500": "滋賀県北部",
  "501": "滋賀県南部",
  "510": "京都府北部",
  "511": "京都府南部",
  "520": "大阪府北部",
  "521": "大阪府南部",
  "530": "兵庫県北部",
  "531": "兵庫県南東部",
  "532": "兵庫県南西部",
  "540": "奈良県",
  "550": "和歌山県北部",
  "551": "和歌山県南部",
  "560": "鳥取県東部",
  "562": "鳥取県中部",
  "563": "鳥取県西部",
  "570": "島根県東部",
  "571": "島根県西部",
  "580": "岡山県北部",
  "581": "岡山県南部",
  "590": "広島県北部",
  "591": "広島県南東部",
  "592": "広島県南西部",
  "600": "徳島県北部",
  "601": "徳島県南部",
  "610": "香川県東部",
  "611": "香川県西部",
  "620": "愛媛県東予",
  "621": "愛媛県中予",
  "622": "愛媛県南予",
  "630": "高知県東部",
  "631": "高知県中部",
  "632": "高知県西部",
  "673": "土佐湾",
  "674": "紀伊水道",
  "675": "大阪湾",
  "676": "播磨灘",
  "677": "瀬戸内海中部",
  "678": "安芸灘",
  "679": "周防灘",
  "680": "伊予灘",
  "681": "豊後水道",
  "682": "山口県北西沖",
  "683": "島根県沖",
  "684": "鳥取県沖",
  "685": "隠岐島近海",
  "686": "兵庫県北方沖",
  "687": "京都府沖",
  "688": "淡路島付近",
  "689": "和歌山県南方沖",
  "700": "山口県北部",
  "702": "山口県西部",
  "703": "山口県東部",
  "704": "山口県中部",
  "710": "福岡県福岡地方",
  "711": "福岡県北九州地方",
  "712": "福岡県筑豊地方",
  "713": "福岡県筑後地方",
  "720": "佐賀県北部",
  "721": "佐賀県南部",
  "730": "長崎県北部",
  "731": "長崎県南西部",
  "732": "長崎県島原半島",
  "740": "熊本県阿蘇地方",
  "741": "熊本県熊本地方",
  "742": "熊本県球磨地方",
  "743": "熊本県天草・芦北地方",
  "750": "大分県北部",
  "751": "大分県中部",
  "752": "大分県南部",
  "753": "大分県西部",
  "760": "宮崎県北部平野部",
  "761": "宮崎県北部山沿い",
  "762": "宮崎県南部平野部",
  "763": "宮崎県南部山沿い",
  "770": "鹿児島県薩摩地方",
  "771": "鹿児島県大隅地方",
  "783": "五島列島近海",
  "784": "天草灘",
  "785": "有明海",
  "786": "橘湾",
  "787": "鹿児島湾",
  "790": "種子島近海",
  "791": "日向灘",
  "793": "奄美大島近海",
  "795": "壱岐・対馬近海",
  "796": "福岡県北西沖",
  "797": "薩摩半島西方沖",
  "798": "トカラ列島近海",
  "799": "奄美大島北西沖",
  "820": "大隅半島東方沖",
  "821": "九州地方南東沖",
  "822": "種子島南東沖",
  "823": "奄美大島北東沖",
  "850": "沖縄本島近海",
  "851": "南大東島近海",
  "852": "沖縄本島南方沖",
  "853": "宮古島近海",
  "854": "石垣島近海",
  "855": "石垣島南方沖",
  "856": "西表島付近",
  "857": "与那国島近海",
  "858": "沖縄本島北西沖",
  "859": "宮古島北西沖",
  "860": "石垣島北西沖",
  "900": "台湾付近",
  "901": "東シナ海",
  "902": "四国沖",
  "903": "鳥島近海",
  "904": "鳥島東方沖",
  "905": "オホーツク海南部",
  "906": "サハリン西方沖",
  "907": "日本海北部",
  "908": "日本海中部",
  "909": "日本海西部",
  "911": "父島近海",
  "912": "千島列島",
  "913": "千島列島南東沖",
  "914": "北海道南東沖",
  "915": "東北地方東方沖",
  "916": "小笠原諸島西方沖",
  "917": "硫黄島近海",
  "918": "小笠原諸島東方沖",
  "919": "南海道南方沖",
  "920": "薩南諸島東方沖",
  "921": "本州南方沖",
  "922": "サハリン南部付近",
  "930": "北西太平洋",
  "932": "マリアナ諸島",
  "933": "黄海",
  "934": "朝鮮半島南部",
  "935": "朝鮮半島北部",
  "936": "中国東北部",
  "937": "ウラジオストク付近",
  "938": "シベリア南部",
  "939": "サハリン近海",
  "940": "アリューシャン列島",
  "941": "カムチャツカ半島付近",
  "942": "北米西部",
  "943": "北米中部",
  "944": "北米東部",
  "945": "中米",
  "946": "南米西部",
  "947": "南米中部",
  "948": "南米東部",
  "949": "北東太平洋",
  "950": "南太平洋",
  "951": "インドシナ半島付近",
  "952": "フィリピン付近",
  "953": "インドネシア付近",
  "954": "グアム付近",
  "955": "ニューギニア付近",
  "956": "ニュージーランド付近",
  "957": "オーストラリア付近",
  "958": "シベリア付近",
  "959": "ロシア西部",
  "960": "ロシア中部",
  "961": "ロシア東部",
  "962": "中央アジア",
  "963": "中国西部",
  "964": "中国中部",
  "965": "中国東部",
  "966": "インド付近",
  "967": "インド洋",
  "968": "中東",
  "969": "ヨーロッパ西部",
  "970": "ヨーロッパ中部",
  "971": "ヨーロッパ東部",
  "972": "地中海",
  "973": "アフリカ西部",
  "974": "アフリカ中部",
  "975": "アフリカ東部",
  "976": "北大西洋",
  "977": "南大西洋",
  "978": "北極付近",
  "979": "南極付近",
  "999": "遠地"
};

const AreaEpicenter2Code = {
  "石狩地方北部": "100",
  "石狩地方中部": "101",
  "石狩地方南部": "102",
  "渡島地方北部": "105",
  "渡島地方東部": "106",
  "渡島地方西部": "107",
  "檜山地方": "110",
  "後志地方北部": "115",
  "後志地方東部": "116",
  "後志地方西部": "117",
  "空知地方北部": "120",
  "空知地方中部": "121",
  "空知地方南部": "122",
  "上川地方北部": "125",
  "上川地方中部": "126",
  "上川地方南部": "127",
  "留萌地方中北部": "130",
  "留萌地方南部": "131",
  "宗谷地方北部": "135",
  "宗谷地方南部": "136",
  "網走地方": "140",
  "北見地方": "141",
  "紋別地方": "142",
  "胆振地方西部": "145",
  "胆振地方中東部": "146",
  "日高地方西部": "150",
  "日高地方中部": "151",
  "日高地方東部": "152",
  "十勝地方北部": "155",
  "十勝地方中部": "156",
  "十勝地方南部": "157",
  "釧路地方北部": "160",
  "釧路地方中南部": "161",
  "根室地方北部": "165",
  "根室地方中部": "166",
  "根室地方南部": "167",
  "北海道南西沖": "180",
  "北海道西方沖": "181",
  "石狩湾": "182",
  "北海道北西沖": "183",
  "宗谷海峡": "184",
  "国後島付近": "186",
  "択捉島付近": "187",
  "北海道東方沖": "188",
  "根室半島南東沖": "189",
  "釧路沖": "190",
  "十勝沖": "191",
  "浦河沖": "192",
  "苫小牧沖": "193",
  "内浦湾": "194",
  "宗谷東方沖": "195",
  "網走沖": "196",
  "択捉島南東沖": "197",
  "青森県津軽北部": "200",
  "青森県津軽南部": "201",
  "青森県三八上北地方": "202",
  "青森県下北地方": "203",
  "岩手県沿岸北部": "210",
  "岩手県沿岸南部": "211",
  "岩手県内陸北部": "212",
  "岩手県内陸南部": "213",
  "宮城県北部": "220",
  "宮城県南部": "221",
  "宮城県中部": "222",
  "秋田県沿岸北部": "230",
  "秋田県沿岸南部": "231",
  "秋田県内陸北部": "232",
  "秋田県内陸南部": "233",
  "山形県庄内地方": "240",
  "山形県最上地方": "241",
  "山形県村山地方": "242",
  "山形県置賜地方": "243",
  "福島県中通り": "250",
  "福島県浜通り": "251",
  "福島県会津": "252",
  "津軽海峡": "280",
  "山形県沖": "281",
  "秋田県沖": "282",
  "青森県西方沖": "283",
  "陸奥湾": "284",
  "青森県東方沖": "285",
  "岩手県沖": "286",
  "宮城県沖": "287",
  "三陸沖": "288",
  "福島県沖": "289",
  "茨城県北部": "300",
  "茨城県南部": "301",
  "千葉県南東沖": "309",
  "栃木県北部": "310",
  "栃木県南部": "311",
  "群馬県北部": "320",
  "群馬県南部": "321",
  "埼玉県北部": "330",
  "埼玉県南部": "331",
  "埼玉県秩父地方": "332",
  "千葉県北東部": "340",
  "千葉県北西部": "341",
  "千葉県南部": "342",
  "房総半島南方沖": "349",
  "東京都２３区": "350",
  "東京都多摩東部": "351",
  "東京都多摩西部": "352",
  "神奈川県東部": "360",
  "神奈川県西部": "361",
  "新潟県上越地方": "370",
  "新潟県中越地方": "371",
  "新潟県下越地方": "372",
  "新潟県下越沖": "378",
  "新潟県上中越沖": "379",
  "富山県東部": "380",
  "富山県西部": "381",
  "石川県能登地方": "390",
  "石川県加賀地方": "391",
  "福井県嶺北": "400",
  "福井県嶺南": "401",
  "山梨県中・西部": "411",
  "山梨県東部・富士五湖": "412",
  "長野県北部": "420",
  "長野県中部": "421",
  "長野県南部": "422",
  "岐阜県飛騨地方": "430",
  "岐阜県美濃東部": "431",
  "岐阜県美濃中西部": "432",
  "静岡県伊豆地方": "440",
  "静岡県東部": "441",
  "静岡県中部": "442",
  "静岡県西部": "443",
  "愛知県東部": "450",
  "愛知県西部": "451",
  "三重県北部": "460",
  "三重県中部": "461",
  "三重県南部": "462",
  "三重県南東沖": "469",
  "茨城県沖": "471",
  "関東東方沖": "472",
  "千葉県東方沖": "473",
  "八丈島東方沖": "475",
  "八丈島近海": "476",
  "東京湾": "477",
  "相模湾": "478",
  "伊豆大島近海": "480",
  "伊豆半島東方沖": "481",
  "三宅島近海": "482",
  "新島・神津島近海": "483",
  "駿河湾": "485",
  "駿河湾南方沖": "486",
  "遠州灘": "487",
  "三河湾": "489",
  "伊勢湾": "490",
  "若狭湾": "492",
  "福井県沖": "493",
  "石川県西方沖": "494",
  "能登半島沖": "495",
  "富山湾": "497",
  "佐渡付近": "498",
  "東海道南方沖": "499",
  "滋賀県北部": "500",
  "滋賀県南部": "501",
  "京都府北部": "510",
  "京都府南部": "511",
  "大阪府北部": "520",
  "大阪府南部": "521",
  "兵庫県北部": "530",
  "兵庫県南東部": "531",
  "兵庫県南西部": "532",
  "奈良県": "540",
  "和歌山県北部": "550",
  "和歌山県南部": "551",
  "鳥取県東部": "560",
  "鳥取県中部": "562",
  "鳥取県西部": "563",
  "島根県東部": "570",
  "島根県西部": "571",
  "岡山県北部": "580",
  "岡山県南部": "581",
  "広島県北部": "590",
  "広島県南東部": "591",
  "広島県南西部": "592",
  "徳島県北部": "600",
  "徳島県南部": "601",
  "香川県東部": "610",
  "香川県西部": "611",
  "愛媛県東予": "620",
  "愛媛県中予": "621",
  "愛媛県南予": "622",
  "高知県東部": "630",
  "高知県中部": "631",
  "高知県西部": "632",
  "土佐湾": "673",
  "紀伊水道": "674",
  "大阪湾": "675",
  "播磨灘": "676",
  "瀬戸内海中部": "677",
  "安芸灘": "678",
  "周防灘": "679",
  "伊予灘": "680",
  "豊後水道": "681",
  "山口県北西沖": "682",
  "島根県沖": "683",
  "鳥取県沖": "684",
  "隠岐島近海": "685",
  "兵庫県北方沖": "686",
  "京都府沖": "687",
  "淡路島付近": "688",
  "和歌山県南方沖": "689",
  "山口県北部": "700",
  "山口県西部": "702",
  "山口県東部": "703",
  "山口県中部": "704",
  "福岡県福岡地方": "710",
  "福岡県北九州地方": "711",
  "福岡県筑豊地方": "712",
  "福岡県筑後地方": "713",
  "佐賀県北部": "720",
  "佐賀県南部": "721",
  "長崎県北部": "730",
  "長崎県南西部": "731",
  "長崎県島原半島": "732",
  "熊本県阿蘇地方": "740",
  "熊本県熊本地方": "741",
  "熊本県球磨地方": "742",
  "熊本県天草・芦北地方": "743",
  "大分県北部": "750",
  "大分県中部": "751",
  "大分県南部": "752",
  "大分県西部": "753",
  "宮崎県北部平野部": "760",
  "宮崎県北部山沿い": "761",
  "宮崎県南部平野部": "762",
  "宮崎県南部山沿い": "763",
  "鹿児島県薩摩地方": "770",
  "鹿児島県大隅地方": "771",
  "五島列島近海": "783",
  "天草灘": "784",
  "有明海": "785",
  "橘湾": "786",
  "鹿児島湾": "787",
  "種子島近海": "790",
  "日向灘": "791",
  "奄美大島近海": "793",
  "壱岐・対馬近海": "795",
  "福岡県北西沖": "796",
  "薩摩半島西方沖": "797",
  "トカラ列島近海": "798",
  "奄美大島北西沖": "799",
  "大隅半島東方沖": "820",
  "九州地方南東沖": "821",
  "種子島南東沖": "822",
  "奄美大島北東沖": "823",
  "沖縄本島近海": "850",
  "南大東島近海": "851",
  "沖縄本島南方沖": "852",
  "宮古島近海": "853",
  "石垣島近海": "854",
  "石垣島南方沖": "855",
  "西表島付近": "856",
  "与那国島近海": "857",
  "沖縄本島北西沖": "858",
  "宮古島北西沖": "859",
  "石垣島北西沖": "860",
  "台湾付近": "900",
  "東シナ海": "901",
  "四国沖": "902",
  "鳥島近海": "903",
  "鳥島東方沖": "904",
  "オホーツク海南部": "905",
  "サハリン西方沖": "906",
  "日本海北部": "907",
  "日本海中部": "908",
  "日本海西部": "909",
  "父島近海": "911",
  "千島列島": "912",
  "千島列島南東沖": "913",
  "北海道南東沖": "914",
  "東北地方東方沖": "915",
  "小笠原諸島西方沖": "916",
  "硫黄島近海": "917",
  "小笠原諸島東方沖": "918",
  "南海道南方沖": "919",
  "薩南諸島東方沖": "920",
  "本州南方沖": "921",
  "サハリン南部付近": "922",
  "北西太平洋": "930",
  "マリアナ諸島": "932",
  "黄海": "933",
  "朝鮮半島南部": "934",
  "朝鮮半島北部": "935",
  "中国東北部": "936",
  "ウラジオストク付近": "937",
  "シベリア南部": "938",
  "サハリン近海": "939",
  "アリューシャン列島": "940",
  "カムチャツカ半島付近": "941",
  "北米西部": "942",
  "北米中部": "943",
  "北米東部": "944",
  "中米": "945",
  "南米西部": "946",
  "南米中部": "947",
  "南米東部": "948",
  "北東太平洋": "949",
  "南太平洋": "950",
  "インドシナ半島付近": "951",
  "フィリピン付近": "952",
  "インドネシア付近": "953",
  "グアム付近": "954",
  "ニューギニア付近": "955",
  "ニュージーランド付近": "956",
  "オーストラリア付近": "957",
  "シベリア付近": "958",
  "ロシア西部": "959",
  "ロシア中部": "960",
  "ロシア東部": "961",
  "中央アジア": "962",
  "中国西部": "963",
  "中国中部": "964",
  "中国東部": "965",
  "インド付近": "966",
  "インド洋": "967",
  "中東": "968",
  "ヨーロッパ西部": "969",
  "ヨーロッパ中部": "970",
  "ヨーロッパ東部": "971",
  "地中海": "972",
  "アフリカ西部": "973",
  "アフリカ中部": "974",
  "アフリカ東部": "975",
  "北大西洋": "976",
  "南大西洋": "977",
  "北極付近": "978",
  "南極付近": "979",
  "遠地": "999",
  "北海道地方": "011",
  "東北地方": "012",
  "北陸地方": "013",
  "関東甲信地方": "014",
  "小笠原地方": "015",
  "東海地方": "016",
  "近畿地方": "017",
  "中国地方": "018",
  "四国地方": "019",
  "九州地方": "020",
  "沖縄地方": "021"
};
